Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2013 18:19:27 +0200

> Date: Sun, 27 Oct 2013 05:56:44 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sat, 26 Oct 2013 23:04:49 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > > If my testing was correct, the problem only occurs during
> > > building, not after Emacs is installed (does that tally with what you
> > > found?).
> > 
> > It definitely happens when building.  I didn't look deep enough to see
> > what happens once Emacs is installed.  The code is definitely wrong.
> 
> Btw, are you sure the installed Emacs doesn't find the files under the
> source tree?  Did you try to remove or rename it after installing?

Further testing indicates that it indeed works to install in a
non-ASCII directory after building.  But it only barely works, at
least in my testing: the various files and directories in
doc-directory, load-path, etc. are unibyte strings, so using them only
works if they are passed to file primitives.  If you try to invoke a
program with one of these values as a command-line argument, the
program will fail (unless your locale encoding is identical to
file-name encoding).  And even using the unibyte strings in
conjunction with files is fragile, as, for example, 'equal' will not
compare unibyte and multibyte strings of the same bytes as equal.